Bug 426053 - [RFE] Anaconda to start nfs locking daemon
[RFE] Anaconda to start nfs locking daemon
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Denise Dumas
:
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2007-12-17 20:20 EST by Norm Murray
Modified: 2010-10-22 17:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
(all architectures) The NFS default for RHEL5 is "locking". Therefore, to mount nfs shares from the %post section of anaconda, use the <command>mount -o nolock,udp</command> command to start the locking daemon before using nfs to mount shares.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 10:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-12-17 20:20:07 EST
Description of problem:

This may not be in the correct product, so please move it if it is not.

When attempting to mount nfs shares from the %post section of anaconda, mounting
fails as it requires the locking daemon to be running to be able to mount shares.

There is work around to use the "mount -o nolock,udp" command, although 
this was not previously required in RHEL 2.1 - 4.  Customer considers this
change in behavior a regression.


Version-Release number of selected component (if applicable):

anaconda-11.1.2.87-1

How reproducible:

Every time.
Steps to Reproduce:
1. Create custom kickstart, use install method HTTP
2. In %post section, mount something via nfs
3. Kickstart system
  
Actual results:

System stops, and wont mount nfs in kickstart, things go wobbly.

Expected results:

Mount remote nfs server.

Additional info:

Worked in 2.1,3 & 4.  Seems like the defaults for NFS now default to locking.
Comment 4 Denise Dumas 2008-05-08 14:30:26 EDT
This requires a 5.3 release note once they open up. Here is the text: 

The NFS default for RHEL5 is "locking". Therefore, to mount nfs shares from the
%post section of anaconda, use the "mount -o nolock,udp" command to 
start the locking daemon before using nfs to mount shares.
Comment 6 Denise Dumas 2008-07-11 14:56:25 EDT
This bz is or a release note only. Setting dev-ack so the bugbot doesnt close
this. Alex, can you please qa-ack this for the same reason? Thanks!
Comment 7 RHEL Product and Program Management 2008-07-11 15:01:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Ryan Lerch 2008-08-05 22:17:02 EDT
Release Notes:
Changed the source (Installation_Notes.xml) to the text in the Release Notes
field above.
Comment 11 Ryan Lerch 2008-08-05 22:17:02 EDT
Added New Release Notes Contents.
Comment 12 Denise Dumas 2008-10-02 10:57:25 EDT
I have verified this in the online release notes and am thus closing this BZ. 
Denise

Note You need to log in before you can comment on or make changes to this bug.